import { File } from '@awesome-cordova-plugins/file/ngx';
import { IDeviceStartUpService } from './device-start-up-service';
import * as i0 from "@angular/core";
export interface Config {
    baseUrl: string;
    customUrlScheme: string;
    customUrl: string;
    buildTime: number;
    enableSSLPinning: boolean;
    offlineStorage: boolean;
    useNativeXHR: boolean;
}
export declare class DeviceService {
    private file;
    static readonly SERVICE_NAME = "DeviceService";
    private _registry;
    private _isReady;
    private _whenReadyPromises;
    private _backBtnTapListeners;
    private _startUpServices;
    private _config;
    constructor(file: File);
    executeBackTapListeners($event: any): void;
    addStartUpService(service: IDeviceStartUpService): void;
    onBackButtonTap(fn: ($event: any) => boolean): () => void;
    start(): Promise<void>;
    getServiceName(): string;
    whenReady(): Promise<void>;
    getBaseUrl(): string;
    isAppConnectedToPreview(): boolean;
    getConfig(): Config;
    useNativeXHR(): any;
    /**
     * @returns {Promise<number>} promise resolved with the app build time
     */
    getAppBuildTime(): Promise<number>;
    /**
     * Stores an entry that survives app restarts and updates.
     *
     * @param {string} key
     * @param {Object} value
     * @returns {Promise<any>}
     */
    storeEntry(key: string, value: Object): Promise<any>;
    /**
     * @param {string} key
     * @returns {any} entry corresponding to the key
     */
    getEntry(key: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceService>;
}
